/*********************************************************************** 
* Programm:		UNO_Input4
* Autor:			Harald Rilling 
*	Plattform:	Arduino Uno
*
*	Datum:			25. November 2014
*
* HP:					www.rillingpower.de
*
*	Beschreibung:	Portabfrage mit Pullup
*								
*
*
*
*
*
*
*
*
*
*
*
*
***********************************************************************/

#include <avr/io.h> 
#include <util/delay.h>  

// MCU name
#define MCU = atmega328p

// Konstanten
#define LED_Arduino	PB5


int main (void) { 
  
	DDRB |= 0xFF;									// PortB auf Ausgang
  DDRC |= 0x00;									// PortC auf Eingang
	PORTC |= (1 << PC5);				  // Pullup einschalten
	

	while(1) {
		
		if (PINC & (1 << PINC5))		// wenn Pinc.5 = 1
		{
			PORTB ^= (1 << PB5);			// Toggle Portb.5
			
			_delay_ms(250);	
		}
		else
		{
			PORTB &= ~(1 << PB5);		// LED ausschalten = 0
		}
		
	} 
		
	/* wird nie erreicht */
	return 0;
 
}